
# NOTE: build against: rhgsc-*-rhel-*-docs-candidate

# change these as needed
%global locale en-US
%global beta 0
%global product_line 3.1
#

%global manualdir %{_docdir}/%{name}/manual
%if 0%{?beta}
%global product_line_path %{product_line}-Beta
%else
%global product_line_path %{product_line}
%endif

%global product Red_Hat_Storage
%global admin_guide Console_Administration_Guide
%global install_guide Console_Installation_Guide

%global lang_css Common_Content/css/lang.css
%global missing_pdf_placeholder %{product}-%{product_line_path}-missing-%{locale}.pdf

%global admin_guide_book %{product}-%{admin_guide}-%{product_line_path}-web-%{locale}
%global install_guide_book %{product}-%{install_guide}-%{product_line_path}-web-%{locale}

Name:		rhsc-doc
Version:	%{product_line}.2
Release:	0%{?dist}

Summary:	Red Hat Gluster Storage Console documentation
Group:		Documentation
License:	CC-BY-SA
URL:		http://docs.redhat.com
Source0:	%{name}-index-%{version}-0.tar.gz
Source1:	%{admin_guide_book}-%{product_line}-60.tgz
Source2:	%{install_guide_book}-%{product_line}-5.tgz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  publican-API = 4.1
BuildRequires:  desktop-file-utils
BuildRequires:  publican-redhat-201405
BuildRequires:	python
BuildRequires:	python-argparse

%description

This package contains the Red Hat Gluster Storage Console documentation
in html and pdf format.

%prep
%setup -q -T -D -a 0 -c
%setup -q -T -D -a 1 -c
%setup -q -T -D -a 2 -c

%build
make -C rhsc-doc-index

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{admin_guide_book}-%{product_line} --publish
touch %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{admin_guide}/%{lang_css}
rm -rf tmp

publican build --nocolours --formats="html,pdf" --langs=%{locale} --src_dir=%{install_guide_book}-%{product_line} --publish
touch %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/%{product_line_path}/html/%{install_guide}/%{lang_css}
rm -rf tmp

%install
rm -rf "%{buildroot}"
make -C rhsc-doc-index install DESTDIR="%{buildroot}"

mkdir -p "%{buildroot}%{manualdir}/%{locale}"

cp -r %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}"
cp -r %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/html "%{buildroot}%{manualdir}/%{locale}"

cp -r %{admin_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}"
cp -r %{install_guide_book}-%{product_line}/publish/%{locale}/%{product}/*/pdf "%{buildroot}%{manualdir}/%{locale}"

# tweak pdf file names
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	# strip locales
	mv "${f}" "$(echo "${f}" | sed 's/-[a-zA-Z][a-zA-Z][-_][a-zA-Z][a-zA-Z]\.pdf/.pdf/')"
done
find "%{buildroot}%{manualdir}/%{locale}/pdf" -name '*.pdf' | while read f; do
	# strip version numbers
	mv "${f}" "$(echo "${f}" | sed 's/%{product}-%{product_line_path}-/%{product}-/')"
done

install -m 0755 -d "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d"
cat > "%{buildroot}%{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhsc-doc.conf" << __EOF__
ENGINE_MANUAL="%{manualdir}"
__EOF__

%files
%dir %{_docdir}/%{name}
%config %{_sysconfdir}/ovirt-engine/engine.conf.d/10-rhsc-doc.conf
%{manualdir}/

%changelog
* Tue Dec 29 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.1.2-0
- Resolves: rhbz#1294474 - remove CLI and Developer Guide
- Resolves: rhbz#1257463 - New build for rhsc-doc
- Changed the build to do publican build from doc sources

* Mon Jul 27 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.1.0-1
- Resolves: rhbz#1245896 - Final rebuild for rhgs-c 3.1

* Thu Jul 23 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.1.0-0
- Resolves: rhbz#1245896 - Rebuild rhsc-doc with latest docs

* Fri Mar 20 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.4-4
- Resolves: rhbz#1174617 rhbz#1176490 rhbz#1202476 rhbz#1134185

* Tue Feb 24 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.4-3
- fix bz #1194570

* Thu Feb 19 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.4-2
- fix bz #1188614 1191050 1177720 1189397

* Wed Feb 11 2015 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.4-1
- fix bz #1177883

* Wed Dec 24 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.0-7
- fix for Bugzilla #1161558 #1161068 #1161414 #1164685 #1166529
  #1166606

* Wed Oct 29 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.0-6
- fix for Bugzilla #1146047 #1157946

* Wed Sep 24 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.0-5
- fixing link issues for tags and view hook content

* Tue Sep 23 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.0-4
- fix for Bugzilla #1144271

* Wed Sep 10 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.0-3
- Rebuilding the docs with 'rhs' suffix

* Wed Aug 27 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0.0-2
- Rebuilding the docs with the latest documentation

* Thu May 15 2014 Ramesh Nachimuthu <rnachimu@redhat.com> - 3.0
- Updating the doc accoriding to rhevm-doc 3.4

* Fri Feb 14 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 2.1.2-9
- updated DocumentationPath.csv to include stop_rebalance link

* Mon Jan 27 2014 Kanagaraj Mayilsamy <kmayilsa@redhat.com> - 2.1.2-8
- updated DocumentationPath.csv

* Mon Dec 30 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-7
- updated DocumentationPath.csv

* Thu Dec 26 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-6
- updated DocumentationPath.csv

* Thu Dec 19 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-5
- added dependency Red_Hat_Storage-Console_Developer_Guide

* Wed Dec 11 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-4
- added dependencies Red_Hat_Storage-Console_Installation_Guide and
  Red_Hat_Storage-Console_Command_Line_Shell_Guide

* Fri Nov 15 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-3
- updated DocumentationPath.csv

* Sat Nov 09 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-2
- fix install error

* Sat Nov 09 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2-1
- initial build
